<?php
/*******************************************************/
//Development by Myth (phpmyfusion.ru)
/*******************************************************/
replace("viewforum\.php\?forum_id=([0-9]+)", "forum(\'$1\')", "e");
replace("viewthread\.php\?thread_id=([0-9]+)", "thread(\'$1\')", "e");
replace("&amp;pid=([0-9]+)#post_([0-9]+)", "lastpost(\'$1\')", "e");
replace("forum\/index\.php", "forum/prime");
replace("photogallery\.php\?photo_id=([0-9]+)(#comments)?", "photoview1($1, \"$2\")", "e");
replace("photogallery\.php\?album_id=([0-9]+)", "photoalbums(\'$1\')", "e");
replace("photogallery\.php", "photogallery");
replace("news\.php\?readmore=([0-9]+)(#comments)?", "news($1, \"$2\")", "e");
replace("articles\.php\?article_id=([0-9]+)", "article($1)", "e");
replace("articles\.php\?cat_id=([0-9]+)", "articlescats($1)", "e");
replace("news_cats\.php\?cat_id=([0-9]+)", "newscats($1)", "e");
replace("news\.php", "news");
replace("articles\.php", "razdely-statei");
replace("news_cats\.php", "razdely-novostei");
replace("print\.php\?type=N\&amp;item_id=([0-9]+)", "newsprint($1)", "e");
replace("print\.php\?type=A\&amp;item_id=([0-9]+)", "articleprint($1)", "e");
replace("profile\.php\?lookup=([0-9]+)", "profile($1)", "e");
/*************   ***********************/
replace("news\?".$aidlink."&amp;action=edit&amp;news_id=([0-9]+)", "editnews($1)", "e");
replace("razdely-statei\?".$aidlink."&amp;action=edit&amp;article_id=([0-9]+)", "editarticle($1)", "e");

function replace ($re, $replace, $mod = "")
{
	if ($mod == "") {
		return replace_in_output($re, $replace);
	} else {
		return replace_in_output($re, $replace, $mod);
	}
}

function editurl ($string)
{
	$string = strtolower($string);
	$special = array(
            '?','!','.',',',':',';','*','(',')','{','}','[',']','%','#','','@','$','^','-','+','/','\\','=','|','"','\'',
            '','','','','','','','','','','',
            '','','','','','','','','','','',
            '','','','&nbsp;','','','','','','','','');
	$normal = array('_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_',
           'a','b','v','g','d','e','e','z','i','y','k',
          'l','m','n','o','p','r','s','t','u','f','h',
           'j','i','e','_','zh','ts','ch','sh','shch',
           '','yu','ya');
	$string =  str_replace($special, $normal, $string);
	return preg_replace(array('/[^a-zA-Z0-9 -]/', '/[ -]+/', '/^-|-$/'), array('', '-', ''), $string);
}


function forum ($id)
{
	$result = dbquery("SELECT forum_name FROM " . DB_FORUMS . " WHERE forum_id = ".$id);
	$title = editurl(dbresult($result, 0));
	return 'razdel'.$id.'-'. $title;
}
function thread ($id)
{
	$result = dbquery("SELECT thread_subject FROM " . DB_THREADS . " WHERE thread_id = ".$id);
	$title = editurl(dbresult($result, 0));
	return 'topic'.$id.'-'.$title;
}
function lastpost ($id)
{
	$result = dbquery("SELECT post_id FROM " . DB_POSTS . " WHERE post_id = ".$id);
	//$title = editurl(dbresult($result, 0));
	return 'lastpost'.$id;
}
function photoview1 ($id)
{
	$result = dbquery("SELECT photo_title FROM " . DB_PHOTOS . " WHERE photo_id = ".$id);
	while ($data = dbarray($result)) {
	if ( $title = editurl($data['photo_title']) ) { return "photo".$id."-".$title; }
	if ( $title = empty($data['photo_title']))  { return "photo".$id; }
  }
}
function photoalbums ($id)
{
	$result = dbquery("SELECT album_title FROM " . DB_PHOTO_ALBUMS . " WHERE album_id = ".$id);
	$title = editurl(dbresult($result, 0));
	return "photoalbum".$id."-".$title;
}
function news ($id, $comments = "")
{
	$result = dbquery("SELECT news_subject FROM " . DB_NEWS . " WHERE news_id = ".$id);
	$title = editurl(dbresult($result, 0));
	return 'news'.$id.'-'.$title .$comments;
}
function editnews ($id)
{
	$result = dbquery("SELECT news_id FROM " . DB_NEWS . " WHERE news_id = ".$id);
	return 'editnews'.$id;
}
function article ($id)
{
	$result = dbquery("SELECT article_subject FROM " . DB_ARTICLES . " WHERE article_id = ".$id);
	$title = editurl(dbresult($result, 0));
	return 'article'.$id.'-'.$title;
}
function editarticle ($id)
{
	$result = dbquery("SELECT article_id FROM " . DB_ARTICLES . " WHERE article_id = ".$id);
	return 'editarticle'.$id;
}
function newscats ($id, $comments = "")
{
	$result = dbquery("SELECT news_cat_name FROM " . DB_NEWS_CATS . " WHERE news_cat_id = ".$id);
	$title = editurl(dbresult($result, 0));
	if ($id != 0) {
		return 'razdel-novostei'.$id.'-'.$title. $comments;
	} else {
		return 'razdel-novostei-uncategorised-'.$id .$comments;
	}
}
function articlescats ($id)
{
	$result = dbquery("SELECT article_cat_name FROM " . DB_ARTICLE_CATS . " WHERE article_cat_id = ".$id);
	$title = editurl(dbresult($result, 0));
	return 'razdel-statei'.$id.'-'.$title ;
}
function newsprint ($id)
{
	$result = dbquery("SELECT news_subject FROM " . DB_NEWS . " WHERE news_id = ".$id);
	$title = editurl(dbresult($result, 0));
	return 'print_news'.$id.'-'.$title;
}
function articleprint ($id)
{
	$result = dbquery("SELECT article_subject FROM " . DB_ARTICLES . " WHERE article_id = ".$id);
	$title = editurl(dbresult($result, 0));
	return 'print_article'.$id.'-'.$title;
}
function profile ($id){
	$result = dbquery("SELECT user_name FROM " . DB_USERS . " WHERE user_id = ".$id);
	$user_name = dbresult($result, 0);
	return "profile".$id."-".$user_name;
}
?>